%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-firkin
Version:        0.02
Release:        4%{?dist}
Summary:        A python module to convert between different measurement units

Group:          Development/Languages
License:        GPLv2+
URL:            http://www.florian-diesch.de/software/firkin/
Source0:        http://www.florian-diesch.de/software/firkin/dist/firkin-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
firkin is a python module to convert between different measurement
units. 


%prep
%setup -q -n firkin-%{version}
# Convert to utf-8
for file in README; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README PKG-INFO
%{python_sitelib}/firkin.p*
%{python_sitelib}/firkin*.egg-info


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.02-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Feb 20 2010 Fabian Affolter <fabian@bernewireless.net> - 0.02-2
- Rebuild

* Mon Jul 13 2009 Fabian Affolter <fabian@bernewireless.net> - 0.02-1
- Initial spec for Fedora
